Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/generate_table.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/generate_table.py	(revision 1773)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/generate_table.py	(revision 1774)
@@ -178,5 +178,6 @@
         level1_answer = min(level1_answer, level2_answer[x])
 
-    ans_dict = {-1: 'Failed', 0: 'Initialized', 1: 'Passed'}
+    # ans_dict = {-1: 'Failed', 0: 'Initialized', 1: 'Passed'}
+    ans_dict = {-1: '&#10060;', 0: '&#10062', 1: '&#9989;'}
 
     algo_list = list(my_struncture.keys())
@@ -243,5 +244,6 @@
     f.write("       <tbody>\n")
     f.write("           <tr class=\"level0\" style=\"background-color:#85c1e9;font-size:1em;\" >\n")
-    f.write("               <td>src : "+file_to_open+"</tb>\n")
+    f.write("               <td><p>src : "+file_to_open+"</p>\n")
+    f.write("               <p><ul><li>&#10060; : Failed</li><li>&#10062; : Initialized</li><li>&#9989; : Passed</li></ul></p></tb>\n")
     f.write("               <td></td>\n")
     f.write("               <td></td>\n")
@@ -253,6 +255,6 @@
     f.write("           </tr>\n")
     f.write("           <tr class=\"level1\" style=\"background-color:#85c1e9;font-size:1.6em;\" >\n")
-    f.write("               <td>XIOS Unit tests <span id=\"icon_level1_1\" onclick=\"level1_unfold();\" style=\"display:inline\">&#128317;</span>\n")
-    f.write("                                   <span id=\"icon_level1_2\" onclick=\"level1_fold();\" style=\"display:none\">&#128316;</span></td>\n")
+    f.write("               <td>XIOS Unit tests <span id=\"icon_level1_1\" onclick=\"level1_unfold();\" style=\"display:inline\" title=\"unfold\">&#128317;</span>\n")
+    f.write("                                   <span id=\"icon_level1_2\" onclick=\"level1_fold();\" style=\"display:none\" title=\"fold\">&#128316;</span></td>\n")
     f.write("               <td></td>\n")
     f.write("               <td></td>\n")
@@ -270,6 +272,6 @@
         f.write("           <tr class=\"level2\" data-algo-type=\""+algo_list[x]+"\" style=\"display:none;background-color:#aed6f1;font-size:1.4em;\">\n")
         f.write("               <td></td>\n")
-        f.write("               <td>"+algo_list[x]+" <span id=\"icon_level2_"+algo_list[x]+"_1\" onClick=\"level2_unfold(\'"+algo_list[x]+"\');\" style=\"display:inline\">&#128317;</span>\n")
-        f.write("                                    <span id=\"icon_level2_"+algo_list[x]+"_2\" onClick=\"level2_fold(\'"+algo_list[x]+"\');\" style=\"display:none\">&#128316;</span></td>\n")
+        f.write("               <td>"+algo_list[x]+" <span id=\"icon_level2_"+algo_list[x]+"_1\" onClick=\"level2_unfold(\'"+algo_list[x]+"\');\" style=\"display:inline\" title=\"unfold\">&#128317;</span>\n")
+        f.write("                                    <span id=\"icon_level2_"+algo_list[x]+"_2\" onClick=\"level2_fold(\'"+algo_list[x]+"\');\" style=\"display:none\" title=\"fold\">&#128316;</span></td>\n")
         f.write("               <td><div class=\"dropdown\"><button class=\"dropbtn\">&#128270;</button>\n")
         f.write("               <div class=\"dropdown-content\">\n")
@@ -287,6 +289,6 @@
             f.write("               <td></td>\n")
             f.write("               <td></td>\n")
-            f.write("               <td>"+config_list[y_offset]+" <span id=\"icon_level3_"+algo_list[x]+"_"+old_config_list[y_offset]+"_1\" onClick=\"level3_unfold(\'"+algo_list[x]+"_"+old_config_list[y_offset]+"\');\" style=\"display:inline\">&#128317;</span>\n")
-            f.write("                                             <span id=\"icon_level3_"+algo_list[x]+"_"+old_config_list[y_offset]+"_2\" onClick=\"level3_fold(\'"+algo_list[x]+"_"+old_config_list[y_offset]+"\');\" style=\"display:none\">&#128316;</span></td>\n")
+            f.write("               <td>"+config_list[y_offset]+" <span id=\"icon_level3_"+algo_list[x]+"_"+old_config_list[y_offset]+"_1\" onClick=\"level3_unfold(\'"+algo_list[x]+"_"+old_config_list[y_offset]+"\');\" style=\"display:inline\" title=\"unfold\">&#128317;</span>\n")
+            f.write("                                             <span id=\"icon_level3_"+algo_list[x]+"_"+old_config_list[y_offset]+"_2\" onClick=\"level3_fold(\'"+algo_list[x]+"_"+old_config_list[y_offset]+"\');\" style=\"display:none\" title=\"fold\">&#128316;</span></td>\n")
             f.write("               <td><div class=\"dropdown\"><button class=\"dropbtn\">&#128270;</button>\n")
             f.write("               <div class=\"dropdown-content\">\n")
